Page MenuHomePhabricator

O1. Flow new-header API result different from commit message
Closed, ResolvedPublic

Description

The commit message for https://gerrit.wikimedia.org/r/#/c/180588/ says

For consistency everything is now in the form of: post-revision-id, topic-revision-id, header-revision-id, etc.

But I edited a Flow board header and the API response contained flow.edit-header.committed.header.revision-id. The key isn't prefixed with "header-". It's not ambiguous as it's in a different key in the response than e.g. flow.newtopic.committed; which is the intended design? Flow/Architecture/API documents the API.

Event Timeline

Spage assigned this task to EBernhardson.
Spage raised the priority of this task from to Medium.
Spage updated the task description. (Show Details)
Spage changed Security from none to None.
Spage added a subscriber: Spage.
Spage updated the task description. (Show Details)Dec 19 2014, 1:42 AM
Spage renamed this task from Flow new-header API result different from commit message to Flow new-header API result different from commit message (1).Jan 9 2015, 7:07 PM
Spage renamed this task from Flow new-header API result different from commit message (1) to (1) Flow new-header API result different from commit message.Jan 9 2015, 7:13 PM
DannyH renamed this task from (1) Flow new-header API result different from commit message to [1] Flow new-header API result different from commit message.Jan 12 2015, 6:16 PM
DannyH renamed this task from [1] Flow new-header API result different from commit message to [1] O1. Flow new-header API result different from commit message.Jan 12 2015, 9:23 PM
gerritbot added a subscriber: gerritbot.

Change 184978 had a related patch set uploaded (by EBernhardson):
new-header api result is inconsistent

https://gerrit.wikimedia.org/r/184978

Patch-For-Review

Change 184978 merged by Matthias Mullie:
new-header api result is inconsistent

https://gerrit.wikimedia.org/r/184978

DannyH renamed this task from [1] O1. Flow new-header API result different from commit message to O1. Flow new-header API result different from commit message.Feb 3 2015, 11:55 PM
DannyH closed this task as Resolved.
DannyH added a subscriber: DannyH.